summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorBernard Cafarelli <voyageur@gentoo.org>2009-03-13 12:44:48 +0000
committerBernard Cafarelli <voyageur@gentoo.org>2009-03-13 12:44:48 +0000
commit6ab466f6e78a8515bf8a3ea5935166835aa89053 (patch)
tree06f8dc742d2372e2bf7798afc6696c84ec9451a2 /net-misc/x2goserver/files
parentVersion bump (diff)
downloadhistorical-6ab466f6e78a8515bf8a3ea5935166835aa89053.tar.gz
historical-6ab466f6e78a8515bf8a3ea5935166835aa89053.tar.bz2
historical-6ab466f6e78a8515bf8a3ea5935166835aa89053.zip
Initial portage commit, from the NX overlay
Package-Manager: portage-2.2_rc25/cvs/Linux x86_64
Diffstat (limited to 'net-misc/x2goserver/files')
-rw-r--r--net-misc/x2goserver/files/x2goserver.init25
1 files changed, 25 insertions, 0 deletions
diff --git a/net-misc/x2goserver/files/x2goserver.init b/net-misc/x2goserver/files/x2goserver.init
new file mode 100644
index 000000000000..c4a0927f07a4
--- /dev/null
+++ b/net-misc/x2goserver/files/x2goserver.init
@@ -0,0 +1,25 @@
+#!/sbin/runscript
+# Copyright 1999-2008 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: /var/cvsroot/gentoo-x86/net-misc/x2goserver/files/x2goserver.init,v 1.1 2009/03/13 12:44:48 voyageur Exp $
+
+DAEMON=/usr/sbin/x2gocleansessions
+
+depend() {
+ need postgresql
+ use sshd
+}
+
+start() {
+ ebegin "Starting ${SVCNAME}"
+ start-stop-daemon --start --quiet --pidfile /var/run/${SVCNAME}.pid \
+ --exec ${DAEMON} -- $DAEMON_OPTS
+
+ eend $?
+}
+
+stop() {
+ ebegin "Stopping ${SVCNAME}"
+ start-stop-daemon --stop --quiet --pidfile /var/run/${SVCNAME}.pid
+ eend $?
+}